export enum NotificationType {
	ERROR,
	SUCCESS,
}

export interface INotification {
	type: NotificationType;
	message: string;
	ttl: number;
}

export interface IInput {
	id: number;
	name: string;
	type: string;
	placeholder: string;
}

export interface IForm {
	headline?: string;
	inputs: IInput[];
	btn_type: string;
}

export interface ILoadingConfig {
	color: string;
	color_dark: string;
	size: number;
	unit: string;
}

export interface IPageConfig {
	service_name: string;
	service_title: string;
	header_target: string;
}

export interface IResponsiveDeviceConfig {
	set: boolean;
	width?: number;
}

export interface IResponsiveConfig {
	mobile: IResponsiveDeviceConfig;
	//tablet: IResponsiveDeviceConfig;
}

export interface INavItemConfig {
	name: string;
	target: string;
	permission?: string;
}

export interface INavConfig {
	nav: boolean;
	dark_mode_button: boolean;
	login_button: boolean;
	nav_items: INavItemConfig[];
}

export interface IConfig {
	page: IPageConfig;
	responsive: IResponsiveConfig;
	nav: INavConfig;
	load: ILoadingConfig;
}

function generateConfig(defaults: any, custom: any) {
	let config = {} as any;
	for (const key in defaults) {
	}
}
