import { each } from 'svelte/internal';
import { writable } from 'svelte/store';

function subscribeMQ(
	mq: MediaQueryList,
	fnc: (evt: MediaQueryListEvent) => void
) {
	if (mq.addEventListener) mq.addEventListener('change', fnc);
	else mq.addListener(fnc);
}

function getMQStore(query: string) {
	const mediaQuery = window.matchMedia(query);
	const store = writable(mediaQuery.matches);
	subscribeMQ(mediaQuery, (evt) => store.set(evt.matches));
	return store;
}

export const mobile = getMQStore('screen and (max-width: ' + 900 + 'px)');
export const theme = getMQStore('prefers-color-scheme: dark');
